package com.chenyang.nse.bussiness.entity.vo.datascope;

import com.chenyang.nse.bussiness.entity.cache.LoginUser;

public class EditionProjectReqVO {
   private DataScopeVO dataScopeVO = new DataScopeVO();
   private EditionProjectVO editionProjectVO;
   private LoginUser loginUser;

   public DataScopeVO getDataScopeVO() {
      return this.dataScopeVO;
   }

   public EditionProjectVO getEditionProjectVO() {
      return this.editionProjectVO;
   }

   public LoginUser getLoginUser() {
      return this.loginUser;
   }

   public void setDataScopeVO(final DataScopeVO dataScopeVO) {
      this.dataScopeVO = dataScopeVO;
   }

   public void setEditionProjectVO(final EditionProjectVO editionProjectVO) {
      this.editionProjectVO = editionProjectVO;
   }

   public void setLoginUser(final LoginUser loginUser) {
      this.loginUser = loginUser;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof EditionProjectReqVO)) {
         return false;
      } else {
         EditionProjectReqVO other = (EditionProjectReqVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$dataScopeVO = this.getDataScopeVO();
            Object other$dataScopeVO = other.getDataScopeVO();
            if (this$dataScopeVO == null) {
               if (other$dataScopeVO != null) {
                  return false;
               }
            } else if (!this$dataScopeVO.equals(other$dataScopeVO)) {
               return false;
            }

            Object this$editionProjectVO = this.getEditionProjectVO();
            Object other$editionProjectVO = other.getEditionProjectVO();
            if (this$editionProjectVO == null) {
               if (other$editionProjectVO != null) {
                  return false;
               }
            } else if (!this$editionProjectVO.equals(other$editionProjectVO)) {
               return false;
            }

            Object this$loginUser = this.getLoginUser();
            Object other$loginUser = other.getLoginUser();
            if (this$loginUser == null) {
               if (other$loginUser != null) {
                  return false;
               }
            } else if (!this$loginUser.equals(other$loginUser)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof EditionProjectReqVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $dataScopeVO = this.getDataScopeVO();
      result = result * 59 + ($dataScopeVO == null ? 43 : $dataScopeVO.hashCode());
      Object $editionProjectVO = this.getEditionProjectVO();
      result = result * 59 + ($editionProjectVO == null ? 43 : $editionProjectVO.hashCode());
      Object $loginUser = this.getLoginUser();
      result = result * 59 + ($loginUser == null ? 43 : $loginUser.hashCode());
      return result;
   }

   public String toString() {
      return "EditionProjectReqVO(dataScopeVO=" + this.getDataScopeVO() + ", editionProjectVO=" + this.getEditionProjectVO() + ", loginUser=" + this.getLoginUser() + ")";
   }
}
